

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<!-- Bootstrap core JavaScript-->

<script src="{{asset('assets/vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('assets/vendor/jquery-easing/jquery.easing.min.js')}}"></script>
<!-- Custom scripts for all pages-->
<script src="{{asset('assets/js/sb-admin-2.min.js')}}"></script>
<script src="{{asset('assets/js/index.js')}}"></script>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8"></script>

<script src="https://kit.fontawesome.com/60c5f946a0.js" crossorigin="anonymous"></script>
{{-- <script src="{{asset('assets/js/admin.js')}}"></script> --}}

<!-- <script src="{{asset('assets/vendor/chart.js/Chart.min.js')}}"></script>
<script src="{{asset('assets/js/demo/chart-area-demo.js')}}"></script>
<script src="{{asset('assets/js/demo/chart-pie-demo.js')}}"></script> -->


<script>

    function verDocumento(url) {
        document.getElementById('visorFrame').src = url + '?t=' + new Date().getTime();

        var modal = new bootstrap.Modal(document.getElementById('visorModal'));
        modal.show();
    }

    document.getElementById('visorModal').addEventListener('hidden.bs.modal', function () {
        document.getElementById('visorFrame').src = '';
    });
    function updateFileName(input, targetId) {
        const fileName = input.files[0]?.name || 'Ningún archivo seleccionado';
        document.getElementById(targetId).textContent = fileName;
    }
</script>
